using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using Un4seen.Bass;

namespace BassMixer
{
  class Stream
  {
    int _stream = 0;

    BASSFlag streamFlags = BASSFlag.BASS_STREAM_DECODE | BASSFlag.BASS_SAMPLE_FLOAT;

    public Stream(string fileName)
    {
      _stream = Bass.BASS_StreamCreateFile(fileName, 0, 0, streamFlags);
      if (_stream == 0)
      {
        Console.WriteLine("Error: {0}", Enum.GetName(typeof(BASSError), Bass.BASS_ErrorGetCode()));
      }
    }

    public int ID
    {
      get { return _stream; }
    }
  }
}
